=== debian/control ===
Source: pn
Section: x11
Priority: optional
Maintainer: Tzafrir Cohen <tzafrir@debian.org>
Uploaders:
 Jochen Sprickerhof <jspricke@debian.org>,
Build-Depends: debhelper-compat (= 13),
 gawk,
 cmake,
 libphonenumber-dev,
 libicu-dev,
Standards-Version: 4.6.1
Homepage: https://github.com/Orange-OpenSource/pn
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/pn
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/pn.git
Rules-Requires-Root: no

Package: pn
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: libphonenumber command-line wrapper, and GNU AWK extension
 pn is a tool that allows command line user/programmers to operate on phone
 numbers (get validity information, reformat them, or extract numbers from a
 text snippet), using libphonenumber.
